scala

# Byte

#### object Byte extends AnyValCompanion

Source
  Byte.scala

Linear Supertypes
AnyValCompanion, Specializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Byte
2. AnyValCompanion
3. Specializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final val MaxValue: Byte(127)

   The largest value representable as a Byte.

5. #### final val MinValue: Byte(-128)

   The smallest value representable as a Byte.

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def box(x: Byte): java.lang.Byte

   Transform a value type into a boxed reference type.

   Transform a value type into a boxed reference type.

   Runtime implementation determined by `scala.runtime.BoxesRunTime.boxToByte`. See src/library/scala/runtime/BoxesRunTime.java.

   x

     the Byte to be boxed

   returns

     a java.lang.Byte offering `x` as its underlying value.

8. #### implicit def byte2double(x: Byte): Double

9. #### implicit def byte2float(x: Byte): Float

10. #### implicit def byte2int(x: Byte): Int

11. #### implicit def byte2long(x: Byte): Long

12. #### implicit def byte2short(x: Byte): Short

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    The String representation of the scala.Byte companion object.

    The String representation of the scala.Byte companion object.

    Definition Classes
      Byte → AnyRef → Any

25. #### def unbox(x: AnyRef): Byte

    Transform a boxed type into a value type.

    Transform a boxed type into a value type. Note that this method is not typesafe: it accepts any Object, but will throw an exception if the argument is not a java.lang.Byte.

    Runtime implementation determined by `scala.runtime.BoxesRunTime.unboxToByte`. See src/library/scala/runtime/BoxesRunTime.java.

    x

      the java.lang.Byte to be unboxed.

    returns

      the Byte resulting from calling byteValue() on `x`

    Exceptions thrown
      ClassCastException

      if the argument is not a java.lang.Byte

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyValCompanion

### Inherited from Specializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped